import request from '@/utils/request'

// 查询物料信息列表
export function listProduct(query) {
	return request({
		url: '/wms/product/list',
		method: 'get',
		params: query
	});
}

// 查询物料信息详细
export function getProduct(productId) {
	return request({
		url: '/wms/product/' + productId,
		method: 'get'
		});
}

// 新增物料信息
export function addProduct(data) {
	return request({
		url: '/wms/product',
		method: 'post',
		data: data
	});
}

// 修改物料信息
export function updateProduct(data) {
	return request({
		url: '/wms/product',
		method: 'put',
		data: data
	});
}

// 删除物料信息
export function delProduct(productId) {
	return request({
		url: '/wms/product/' + productId,
		method: 'delete'
	});
}
